test:clang14-mpi-release:
  image: localhost:5000/ubuntu_jammy_clang14_mpi
  stage: test
  needs: []
  script:
    - mkdir -p build/clang14-release-mpi
    - cd build/clang14-release-mpi
    - CXX=clang++-14 CC=clang-14 cmake ../.. -DCMAKE_BUILD_TYPE=Release
    - make -j 4
    - make check
  cache:
    key: "${CI_COMMIT_REF_SLUG}-clang14-release-mpi"
    paths:
      - build/clang14-release-mpi
    untracked: true
